PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PHTTPClientAuthenticator Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPClientAuthenticator:
[legend]
Collaboration diagram for PHTTPClientAuthenticator:
[legend]

## Public Member Functions
| PHTTPClientAuthenticator (const PString &cmdName, const PString &uri, PMIMEInfo &mime, const PString &body)
virtual PMIMEInfo & | GetMIME ()
virtual PString | GetURI ()
virtual PString | GetEntityBody ()
virtual PString | GetMethod ()
Public Member Functions inherited from PHTTPClientAuthentication::AuthObject
virtual | ~AuthObject ()

## Protected Attributes
PString | m_method
PString | m_uri
PMIMEInfo & | m_mime
PString | m_body

## Constructor & Destructor Documentation

PHTTPClientAuthenticator::PHTTPClientAuthenticator | ( | const PString & | cmdName,
|  | const PString & | uri,
|  | PMIMEInfo & | mime,
|  | const PString & | body
| ) |  |

## Member Function Documentation

virtual PString PHTTPClientAuthenticator::GetEntityBody | ( |  | ) |
| virtual

Implements PHTTPClientAuthentication::AuthObject.

virtual PString PHTTPClientAuthenticator::GetMethod | ( |  | ) |
| virtual

Implements PHTTPClientAuthentication::AuthObject.

virtual PMIMEInfo& PHTTPClientAuthenticator::GetMIME | ( |  | ) |
| virtual

Implements PHTTPClientAuthentication::AuthObject.

virtual PString PHTTPClientAuthenticator::GetURI | ( |  | ) |
| virtual

Implements PHTTPClientAuthentication::AuthObject.

## Member Data Documentation

PString PHTTPClientAuthenticator::m_body
| protected

PString PHTTPClientAuthenticator::m_method
| protected

PMIMEInfo& PHTTPClientAuthenticator::m_mime
| protected

PString PHTTPClientAuthenticator::m_uri
| protected

The documentation for this class was generated from the following file:

- http.h